<resources>
    <!-- Base application theme. -->
    <style name="NoActionBarTheme" parent="Theme.MaterialComponents.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimaryApp</item>
        <item name="colorPrimaryDark">@color/colorPrimaryApp</item>
        <item name="colorAccent">@color/colorPrimaryApp</item>
        <item name="android:fontFamily">@font/tiltium</item>
        <item name="android:windowContentTransitions">true</item>
        <item name="bottomSheetDialogTheme">@style/CustomBottomSheetDialog</item>
    </style>


    <style name="AppThemeActionBar" parent="Base.Theme.MaterialComponents.Light.DarkActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimaryApp</item>
        <item name="colorPrimaryDark">@color/colorPrimaryApp</item>
        <item name="colorAccent">@color/colorPrimaryApp</item>
        <item name="android:fontFamily">@font/tiltium</item>
        <item name="android:windowContentTransitions">true</item>
        <item name="bottomSheetDialogTheme">@style/CustomBottomSheetDialog</item>
    </style>


    //////m-commerce style//////

    <style name="CustomBottomSheetDialog" parent="@style/ThemeOverlay.MaterialComponents.BottomSheetDialog">
        <item name="bottomSheetStyle">@style/CustomBottomSheet</item>
    </style>

    <style name="CustomBottomSheet" parent="Widget.MaterialComponents.BottomSheet">
        <item name="shapeAppearanceOverlay">@style/CustomShapeAppearanceBottomSheetDialog</item>
    </style>

    <style name="CustomShapeAppearanceBottomSheetDialog" parent="">
        <item name="cornerFamily">rounded</item>
        <item name="cornerSizeTopRight">16dp</item>
        <item name="cornerSizeTopLeft">16dp</item>
        <item name="cornerSizeBottomRight">0dp</item>
        <item name="cornerSizeBottomLeft">0dp</item>
    </style>

    <style name="AppTheme.NoActionBar" parent="Theme.MaterialComponents.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimaryApp</item>
        <item name="colorPrimaryDark">@color/colorPrimaryApp</item>
        <item name="colorAccent">@color/colorPrimaryApp</item>
        <item name="android:fontFamily">@font/tiltium</item>
        <item name="bottomSheetDialogTheme">@style/CustomBottomSheetDialog</item>
    </style>

</resources>
